!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!     File 'jacobien.f90'  for MANLAB using HBM              !!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!
!     Forced Duffing Oscillator : equation file
!
!     B. Cochelin, S. Karkar, C. Vergez
!     January 2010
!
!

module petits_operateurs

    implicit none
    real(8), parameter :: eps=1e-16, pi=3.1415926535897931d0
! ajouter ici les constantes du problème que vous souhaiter utiliser
! dans l'ensemble des fonctions définies ci-dessous
    integer(4), parameter :: Neq=3, nbddl=2
    real(8), parameter :: F=1.25d0, mu=0.1d0, w0=1d0, gamm=1

    contains
        function pC0()
            real(8) pC0(Neq)
        ! entrer ici les valeurs de l'opérateur 'c0'
            pC0=0d0
        end function pC0

        function pC1()
            real(8) pC1(Neq)
        ! entrer ici les valeurs de l'opérateur 'c1'
            pC1=0d0
        end function pC1

        function pL0(pu)
            real(8), intent(IN) ::  pu(Neq)
            real(8) pL0(Neq)
        ! entrer ici les valeurs de l'opérateur 'l0'
        ! en fonction du vecteur pu
            pL0(1)= pu(2)
            pL0(2)=-w0*pu(1) -mu*pu(2)
            pL0(3)= pu(3)
        end function pL0

        function pL1(pu)
            real(8), intent(IN) ::  pu(Neq)
            real(8) pL1(Neq)
        ! entrer ici les valeurs du petit operateur 'l1'
        ! en fonction du vecteur  pu
            pL1=0d0
        end function pL1

        function pQ(pu,pv)
            real(8), intent(IN) ::  pu(Neq), pv(Neq)
            real(8)  pQ(Neq)
        ! entrer ici les valeurs du petit operateur 'q'
        ! en fonction des vecteurs  pu et pv
            pQ(1)= 0d0
            pQ(2)= -gamm*pu(1)*pv(3)
            pQ(3)= -pu(1)*pv(1)
        end function pQ
            
        function pM(pu)
            real(8), intent(IN) :: pu(Neq)
            real(8) pM(Neq)
        ! entrer ici les valeurs du petit operateur 'm'
        ! en fonction du vecteur  pu
            pM(1:2)=pu(1:2)
            pM(3)=0d0
        end function pM

end module petits_operateurs


