function [] = disp(obj,U,Ustab)

K=length(obj.XI);

figure(3)
clf
h1=subplot(2,2,1);
title('Modal coordinates')
Hand=plotbarHBM(obj.H,obj.Neq,U,[1:K],h1);
h2=subplot(2,2,2);
Hand=plotbarHBM(obj.H,obj.Neq,U,[2*K+1],h2);
h3=subplot(2,2,3);
title('Axial force N')
Hand=plotperiodHBM(obj.H,obj.Neq,U,[1:K],h3)
h4=subplot(2,2,4);
Hand=plotperiodHBM(obj.H,obj.Neq,U,[2*K+1],h4)

return


global CPUTIME
CPUTIME = [CPUTIME [toc;U(end)]];
disp(['Omega = ',num2str(CPUTIME(2,end)),' - cputime = ',num2str(CPUTIME(1,end)),' s'])

H=obj.H;                            % nombre d'harmoniques
Neq=obj.Neq;                        % nombre d'equations
K=length(obj.XI);                   % K mode transv.
P=1;                                % 1 seul coord longi: N

pencolor

Xtickstr=cell(1,H+1);
for ii=1:H+1
  Xtickstr{ii}=['H',num2str(ii-1)];
end

figure(3)
set(2,'position',[6 401 560 420])
set(3,'position',[576 555 750 266])
clf
subplot(1,2,1)
hold on
X=(0:K-1)/K;
bar(X,U(1:K),'facecolor',col(1,:))
grid
box on
set(gca,'Xlim',[-0.2 H+.99],'Xtick',0:H,'XtickLabel',Xtickstr)
subplot(1,2,2)
hold on
X=(0:P-1)/P;
bar(X,U(2*K+1:2*K+P),'facecolor',col(1,:))
grid
set(gca,'Xlim',[-0.2 H+.99],'Xtick',0:H,'XtickLabel',Xtickstr)
box on

for hh=1:H
  
  subplot(1,2,1)
  hold on
  X=(hh*K:(hh+1)*K-1)/K;
  qcos=U((2*hh-1)*Neq+1:(2*hh-1)*Neq+K);
  qsin=U((2*hh)*Neq+1:(2*hh)*Neq+K);
  bar(X,sqrt(qcos.^2+qsin.^2),'facecolor',col(hh+1,:))

  subplot(1,2,2)
  hold on
  X=((hh*P):(hh+1)*P-1)/P;
  etacos=U((2*hh-1)*Neq+2*K+1:(2*hh-1)*Neq+2*K+P);
  etasin=U((2*hh)*Neq+2*K+1:(2*hh)*Neq+2*K+P);
  bar(X,sqrt(etacos.^2+etasin.^2),'facecolor',col(hh+1,:))
end


return

% Ci-dessous: bargraph avec sin et cos...

Xtickstr=cell(1,H*2+1);
Xtickstr{1}='H0';
for ii=1:H
  Xtickstr{2*ii}=['H',num2str(ii),'c'];
  Xtickstr{2*ii+1}=['H',num2str(ii),'s'];
end

figure(3)
set(2,'position',[6 401 560 420])
set(3,'position',[576 555 750 266])
clf
for hh=0:2*H
  subplot(1,2,1)
  hold on
  X=((hh*K):(hh*K+K-1))/K;
  bar(X,U(hh*Neq+1:hh*Neq+K),'facecolor',col(hh+1,:))
  grid
  set(gca,'Xlim',[-0.2 2*H+.99],'Xtick',0:(2*H+1),'XtickLabel',Xtickstr)
  box on
  subplot(1,2,2)
  hold on
  X=((hh*P):(hh*P+P-1))/P;
  bar(X,U(hh*Neq+2*N+1:hh*Neq+2*K+P),'facecolor',col(hh+1,:))
  grid
  set(gca,'Xlim',[-0.2 2*H+.99],'Xtick',0:(2*H+1),'XtickLabel',Xtickstr)
  box on
end


