 %------------------------------------------------------------------
 %    Equilibrage Harmonique    
 %    
 %    La function L est generique, elle est la meme pour tous
 %    les systemes traites
 
function [L] = L(obj,U,H,Neq)

  indc=[Neq+1  :2*Neq:Neq*(2*H-1)+1];     % index of  uic 
  inds=[2*Neq+1:2*Neq:Neq*(2*H)+1  ];     % index of  uis 

  L=zeros(Neq*(2*H+1)+1,1);
% 
%  L depends on  pL0  (see annexe 1)
%  ---------------------------------
     L(1:Neq)=pL0(U(1:Neq));
  for i=1:H    
     L(Neq+2*(i-1)*Neq+1:2*Neq+2*(i-1)*Neq)  =pL0(U(indc(i):indc(i)+Neq-1));
     L(2*Neq+2*(i-1)*Neq+1:3*Neq+2*(i-1)*Neq)=pL0(U(inds(i):inds(i)+Neq-1));
  end
% Phase equation
     L(Neq*(2*H+1)+1)=U(2*Neq+1) ;

 %------------------------------------------------------------------
 %    
 %    La function pL0 est specifique au pb traite
 %    
 %    ici : l'oscillateur de Duffing
 
 function [pL0] = pL0(U)

  pL0=zeros(5,1);
  
  pL0(1)=  U(3);
  pL0(2)=  U(4);
  pL0(3)= -2*U(1) + U(2);
  pL0(4)= -2*U(2) + U(1);
  pL0(5)=  U(5);
  


  
