function [] = disp_global(obj,Us,Ustab)

% Invariant manifold plot
% ===============================================================

plotNNMHBM(obj.Neq,obj.H,Us,[1 3 2],1:10:size(Us,2),30);
ylabel('v_1')

% Floquet exponents plot
% ===============================================================

% plotfloquetmultHBM(2,Us,Ustab,20);

% NRJ calculation and Frequency Energy Plot (FEP)
% ===============================================================

Npoint=size(Us,2);
H=obj.H;
Neq=obj.Neq;
tt=linspace(0,1,1/H/20);
NRJ=zeros(1,Npoint);

for ipoint=1:Npoint
  UU=calcperiodHBM(tt,H,Neq,Us(:,ipoint),[1 2 3 4]);
  u1=UU(1,:);
  u2=UU(2,:);
  v1=UU(3,:);
  v2=UU(4,:);
  h=0.5*(v1.^2+v2.^2)+0.5*(u1.^2+u2.^2+(u1-u2).^2)+1/8*u1.^4;
  NRJ(ipoint)=mean(h);
end

OMEGA=Us(end,:);
Hand=plotbranchXYHBM(Us,Ustab,NRJ,OMEGA,10);
xlabel('Energy')
ylabel('Frequency')
set(gca,'Xscale','log')

