function [] = disp(obj,U,Ustab)

% Bargraph, time evolution and mode display
% ===============================================================

figure(3)
h1=subplot(2,1,1);
cla
plotbarHBM(obj.H,obj.Neq,U,[1 2],h1);
h2=subplot(2,2,3);
cla
plotperiodHBM(obj.H,obj.Neq,U,[1 2],h2);
h3=subplot(2,2,4);
cla
tt=0:0.01:1;
UU=calcperiodHBM(tt,obj.H,obj.Neq,U,[1 2]);
u1=UU(1,:);
u2=UU(2,:);
plot(u1,u2,'linewidth',1)
xlabel('u_1')
ylabel('u_2')


return

% Bargraphs and time evolution for convergence check
% ===============================================================

figure(4)
clf
h1=subplot(2,1,1);
H=plotbarHBM(obj.H,obj.Neq,U,[1 2 5],h1);
h2=subplot(2,1,2);
Hand=plotperiodHBM(obj.H,obj.Neq,U,[1 2 5],h2);

% Bargraphs and time evolution of variable h, the energy computed
% by Manlab/HBM
% ===============================================================

figure(5)
clf
h3=subplot(2,1,1);
H=plotbarHBM(obj.H,obj.Neq,U,[6],h3);
h4=subplot(2,1,2);
Hand=plotperiodHBM(obj.H,obj.Neq,U,[6],h4);

if size(Ustab,1)>1
  omega = U(end,:);
  ALP=Ustab(2:5)';
  T=2*pi./omega;
  RHO=exp(ALP.*T);
  disp(['Floquet multiplier moduli: ',num2str(abs(RHO))])
end

% NRJ calculation and plot
% ===============================================================

subplot(h4)
hand=get(gca,'Children');
delete(hand(1))
tt=0:0.001:2;
UU=calcperiodHBM(tt,obj.H,obj.Neq,U,[1 2 3 4 6]);
u1=UU(1,:);
u2=UU(2,:);
v1=UU(3,:);
v2=UU(4,:);
hMAN=UU(5,:);

%h=0.5*(v1.^2+v2.^2)+0.5*(u1.^2+u2.^2+(u1-u2).^2)+1/8*u1.^4;
h=0.5*(v1.^2+v2.^2)+u1.^2+u2.^2-u1.*u2+1/8*u1.^4;

plot(tt,h,'r')
%plot(tt,hMAN,'g')
legend({'Manlab','Time'})
err=(max(h)-min(h))/mean(h)*100;
errMAN=(max(hMAN)-min(hMAN))/mean(hMAN)*100;
title(['Energy conservation error: ',num2str(err),'% - ',num2str(errMAN),'%'])
disp(['Energy conservation error: ',num2str(err),'% - ',num2str(errMAN),'%'])
disp(['lambda = ',num2str(U(end-1))])


