!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!   Equation file for MANLAB / HBM   !!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!
!   A 2 ddl system from Kerschen et al.
! 
!   O. Thomas, oct. 2010
!

module petits_operateurs

    implicit none
    real(8), parameter :: eps=1.0d-16, pi=3.1415926535897931d0
! add here the problem constants
! to be used in the following functions
! and especially jacobien.f90
    integer(4), parameter :: Neq=6, nbddl=4

    contains
        function pC0()
            real(8) pC0(Neq)
! add here the 'c0' operator
            pC0=0.0d0
        end function pC0

        function pC1()
            real(8) pC1(Neq)
! add here the 'c1' operator
            pC1=0.0d0
        end function pC1

        function pL0(pu)
            real(8), intent(IN) ::  pu(Neq)
            real(8) pL0(Neq)
! add here the 'l0' operator
! as a function of 'pu' vector
            pL0(1)=  pu(3);
            pL0(2)=  pu(4);
            pL0(3)= -2*pu(1) + pu(2);
            pL0(4)= -2*pu(2) + pu(1);
            pL0(5)=  pu(5);
            pL0(6)=  pu(6);
        end function pL0

        function pL1(pu)
            real(8), intent(IN) ::  pu(Neq)
            real(8) pL1(Neq)
! add here the 'l1' operator
! as a function of 'pu' vector
            pL1=0d0
            pL1(3)=-pu(3);
            pL1(4)=-pu(4);
        end function pL1

        function pQ(pu,pv)
            real(8), intent(IN) ::  pu(Neq), pv(Neq)
            real(8)  pQ(Neq)
! add here the 'q' operator
! as a function of 'pu' and 'pv' vectors
            pQ=0d0
            pQ(3)= -0.5 * pu(1)*pv(5);
            pQ(5)= -pu(1)*pv(1);
!            pQ(6)= -(0.5*(pu(3)*pv(3)+pu(4)*pv(4))+0.5*(pu(1)*pv(1)+pu(2)*pv(2)+(pu(1)-pu(2))*(pv(1)-pv(2)))+1/8*pu(5)*pv(5));
            pQ(6)= -(0.5*(pu(3)*pv(3)+pu(4)*pv(4))+pu(1)*pv(1)+pu(2)*pv(2)-pu(1)*pv(2)+1/8*pu(5)*pv(5));
       end function pQ

        function pM(pu)
            real(8), intent(IN) :: pu(Neq)
            real(8) pM(Neq)
! entrer ici les valeurs du petit operateur 'm'
! en fonction du vecteur  pu
            pM=0d0
            pM(1:4)=pu(1:4)
        end function pM

end module petits_operateurs
