% Solution echelles multiples de:
%
% ddq1 + 2 mu1 dq1 + omega1^2 q1 + alpha1 q1q2 = F1 cos Omega t
% ddq2 + 2 mu2 dq2 + omega2^2 q2 + alpha2 q1^2 
%
% omega2 = 2 omega1 + sigma1
% Omega = omega1 + sigma2
% Sigma2 = sigmin:pas:sigmax


%%
%Om_omega1(1,-1,1,.001,0,.1,.1,.5, 1, 1);
%Om_omega1(1,-1,1,.001,0,.1,.1,2, 1, 1);
% [Sigma2,a1,a2]=Om_omega1(omega1,sigmin,sigmax,pas,sigma1,mu1,mu2,F1,alpha1,alpha2)

function [Sigma2,a1,a2]=Om_omega1(omega1,sigmin,sigmax,pas,sigma1,mu1,mu2,F1,alpha1,alpha2)

Sigma2 = sigmin:pas:sigmax; 
omega2 = 2*omega1+sigma1;

flag=0;
ind=1;

for ii=1:length(Sigma2)
    sigma2 =Sigma2(ii);
    
    Gamma = 1/sqrt((sigma1 - 2*sigma2)^2 + mu2^2);
    coeff3 = 1;
    coeff2 = 8*omega1*Gamma/alpha1*(sigma2*(sigma1-2*sigma2)+mu1*mu2);
    coeff1 = 16*omega1^2/alpha1^2*(sigma2^2+mu1^2);
    coeff0 = -Gamma*alpha2/alpha1^2/omega2*F1^2;
    %singam2 = - mu2*Gamma; %  !!!
    %cosgam2 = -(-sigma1 + 2*sigma2)*Gamma;
   
    %coeff3 = (alpha1)^2;
    %coeff2 = 8*omega1*(sigma2*cosgam2 - mu1*singam2)*alpha1;
    %coeff1 = 16*omega1.^2*(mu1^2 + sigma2^2);
    %coeff0 = - Gamma*omega2.^(-1)*F1^2*alpha2;
    
    p = [coeff3,coeff2, coeff1, coeff0];

    A2 = roots(p);
    a2(:,ii) = A2;

    I=find(imag(A2)==0);
    siI=length(I);
    SiI(ii)=siI;
    flagav=flag;
    
    if siI>1
        flag=1;
    else
        flag=0;
    end
    if siI==3
        A2=sort(A2);
        a2(1,ii)=A2(1);
        a2(2,ii)=A2(2);
        a2(3,ii)=A2(3);
    else
        if flag<flagav
            dif=abs(a2(:,ii-1)-A2(I));
            ind=find(dif==min(dif));
            a2(:,ii)=ones(3,1)*NaN;
            a2(ind,ii)=A2(I);
        else
            a2(:,ii)=ones(3,1)*NaN;
            a2(ind,ii)=A2(I);
        end
    end
    a1(:,ii) = 2*sqrt(omega2 * a2(:,ii) / (alpha2*Gamma));
end


Omega=om1+Sigma2;

figure(4)
%clf
%subplot 211
hold on
plot(Omega,a1(1,:),'r', 'linewidth', 1)
plot(Omega,a1(2,:),':r', 'linewidth', 1)
plot(Omega,a1(3,:),'r', 'linewidth', 1)
%subplot 212
%hold on
plot(Omega,a2(1,:), 'linewidth', 1)
plot(Omega,a2(2,:),':', 'linewidth', 1)
plot(Omega,a2(3,:), 'linewidth', 1)


