function [] = disp(obj,U)
%bar(U);
%Reconstruction du cycle limite

H=obj.H;
a=obj.a;b=obj.b;
Neq=obj.Neq;
T=2*pi/U(end);
temps=0:0.001*T:T;

VectCos=zeros(H,length(temps));
VectSin=zeros(H,length(temps));
for j=1:H,
VectCos(j,:) = cos(j*U(end)*temps);
VectSin(j,:) = sin(j*U(end)*temps);
end;

% Calcul d'une periode de x(t)
X_moy=U(1);
X_cos=U(Neq+1:2*Neq:(2*H-1)*Neq+1)';
X_sin=U(2*Neq+1:2*Neq:(2*H)*Neq+1)';
cycle_X= X_moy*ones(1,length(temps)) + X_cos*VectCos + X_sin*VectSin;

% Calcul d'une periode de y(t)
Y_moy=U(2);
Y_cos=U(Neq+2:2*Neq:(2*H-1)*Neq+2)';
Y_sin=U(2*Neq+2:2*Neq:(2*H)*Neq+2)';
cycle_Y= Y_moy*ones(1,length(temps)) + Y_cos*VectCos + Y_sin*VectSin;

% Calcul d'une periode de z(t)
Z_moy=U(3);
Z_cos=U(Neq+3:2*Neq:(2*H-1)*Neq+3)';
Z_sin=U(2*Neq+3:2*Neq:(2*H)*Neq+3)';
cycle_Z= Z_moy*ones(1,length(temps)) + Z_cos*VectCos + Z_sin*VectSin;



hh=figure(3);set(hh,'Position',[1,1,1000,800]);
subplot(2,2,1);hold off;
plot3(cycle_X,cycle_Y,cycle_Z,'LineWidth',1,'Color','b');grid on;title('Configuration space (x,y,z)');
xlabel('x');ylabel('y');zlabel('z');
subplot(2,2,2);hold off;
plot(cycle_X,cycle_Y,'LineWidth',1,'Color','b');hold on;grid on;title('2D projection in the (x,y) plane')
xlabel('x');ylabel('y');
ax=axis;hl=legend('Harmonic balance','Time domain simulation');hl_Pos=get(hl,'Position');set(hl,'Position',[0.425 0.5 1.3*hl_Pos(3)  hl_Pos(4)]);
subplot(2,2,3);hold off;
plot(cycle_X,cycle_Z,'LineWidth',1,'Color','b');hold on;grid on;title('2D projection in the (x,z) plane')
xlabel('x');ylabel('z');
subplot(2,2,4);hold off;
plot(cycle_Y,cycle_Z,'LineWidth',1,'Color','b');hold on;grid on;title('2D projection in the (y,z) plane')
xlabel('y');ylabel('z');
figure(3);ax=axis;text(ax(1)-1.5*abs(abs(ax(2))+abs(ax(1))),ax(4)+1.55*abs(abs(ax(4))+abs(ax(3))),['Rssler oscillator (a=',num2str(a),', b=',num2str(b),', \lambda=',num2str(U(end-1)),'): comparison between harmonic balance (H=',num2str(H),') and time domain simulation'],'FontSize',16,'FontWeight','Bold')
