function [HILL] = Hill_mat(sys,ddlstab,nbddlstab,nbddl,HH)
        HILL = zeros(nbddl*(2*HH+1));
        II = eye(nbddl);
        JJ = zeros(nbddl*(2*HH+1),nbddl);
        omega = ddlstab(end);
        lambda = ddlstab(end-1);
        UU = ddlstab(1:nbddlstab);
        UH = ddlstab(nbddlstab+1:end-2);
        
        for h = -HH:HH;
            
            hm = abs(h) - 1;
            hp = abs(h);
            
            for p = h:HH;
                
                pm = abs(p) - 1;
                pp = abs(p);
                    
                if abs(p+h) < (HH+1)
                    
                    if h == 0
                        Ustab = [UU lambda];
                    elseif h < 0
                        Ustab = [0.5*UH(nbddlstab*2*hm+1:nbddlstab*(2*hp-1)) lambda] + i*0.5*[UH(nbddlstab*(2*hm+1)+1:nbddlstab*2*hp) 0];
                    else
                        Ustab = [0.5*UH(nbddlstab*2*hm+1:nbddlstab*(2*hp-1)) lambda] - i*0.5*[UH(nbddlstab*(2*hm+1)+1:nbddlstab*2*hp) 0];
                    end

                    if p == 0
                        Vstab = [UU lambda];
                    elseif p < 0
                        Vstab = [0.5*UH(nbddlstab*2*pm+1:nbddlstab*(2*pp-1)) lambda] + i*0.5*[UH(nbddlstab*(2*pm+1)+1:nbddlstab*2*pp) 0];
                    else
                        Vstab = [0.5*UH(nbddlstab*2*pm+1:nbddlstab*(2*pp-1)) lambda] - i*0.5*[UH(nbddlstab*(2*pm+1)+1:nbddlstab*2*pp) 0];
                    end    
                    
                    ind = p+h + (HH+1);
                    ind0 = ind - 1;
                    opp = -(p+h) + (HH+1);
                    opp0 = opp - 1;
                    
                    if p == h
                        JJ(ind0*nbddl+1:ind*nbddl,1:nbddl) = JJ(ind0*nbddl+1:ind*nbddl,1:nbddl) + JQ(sys,Ustab,Vstab);
                    else
                        JJ(ind0*nbddl+1:ind*nbddl,1:nbddl) = JJ(ind0*nbddl+1:ind*nbddl,1:nbddl) + JQ(sys,Ustab,Vstab);
                        JJ(opp0*nbddl+1:opp*nbddl,1:nbddl) = JJ(opp0*nbddl+1:opp*nbddl,1:nbddl) + JQ(sys,conj(Ustab),conj(Vstab));
                    end    
                end                 
            end
            
            if h < 1
               if h == 0
                   JJ((h+HH)*nbddl+1:(h+HH+1)*nbddl,1:nbddl) = JJ((h+HH)*nbddl+1:(h+HH+1)*nbddl,1:nbddl) + J0(sys,UU) + JL(sys,Ustab);
               else
                   JJ((h+HH)*nbddl+1:(h+HH+1)*nbddl,1:nbddl) = JJ((h+HH)*nbddl+1:(h+HH+1)*nbddl,1:nbddl) + JL(sys,Ustab);
                   JJ((-h+HH)*nbddl+1:(-h+HH+1)*nbddl,1:nbddl) = JJ((-h+HH)*nbddl+1:(-h+HH+1)*nbddl,1:nbddl) + JL(sys,conj(Ustab));
               end
                
            end
            
        end
        
        
        for g = 1:HH
            gm = g - 1;
            go = 2*HH - gm;
            HILL(1:(HH+g)*nbddl,gm*nbddl+1:g*nbddl) = JJ((HH-gm)*nbddl+1:end,:);
            HILL(gm*nbddl+1:g*nbddl,gm*nbddl+1:g*nbddl) = HILL(gm*nbddl+1:g*nbddl,gm*nbddl+1:g*nbddl) + i*omega*II*(HH - gm);
            HILL((HH-gm)*nbddl+1:end,go*nbddl+1:(go+1)*nbddl) = JJ(1:(HH+g)*nbddl,:);
            HILL(go*nbddl+1:(go+1)*nbddl,go*nbddl+1:(go+1)*nbddl) = HILL(go*nbddl+1:(go+1)*nbddl,go*nbddl+1:(go+1)*nbddl) + i*omega*II*(gm - HH);
        end
            
        HILL(:,HH*nbddl+1:(HH+1)*nbddl) = JJ;
